LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Software (https://www.linuxquestions.org/questions/linux-software-2/)
-   -   **Brackets installation error? (https://www.linuxquestions.org/questions/linux-software-2/%2A%2Abrackets-installation-error-4175631034/)

shams 06-02-2018 09:14 AM

**Brackets installation error?
 
I want to install Brackets.Release.1.12.64-bit.deb in the ubuntu 18.04, but get this error:
Code:

dpkg: dependency problems prevent configuration of brackets:
 brackets depends on libcurl3; however:
  Package libcurl3 is not installed.

In this version of ubuntu libcurl4 is installed.
I created a soft link from libcurl.so.4 to libcurl.so.3 in the /usr/lib/x86_64-linux-gnu but got the same error, this is the libcurl link in the x86_64-linux-gnu:
Code:

# ls -al | grep libcurl
lrwxrwxrwx  1 root root      16 May  8 22:17 libcurl.a -> libcurl-gnutls.a
-rw-r--r--  1 root root  1048506 May  8 22:17 libcurl-gnutls.a
-rw-r--r--  1 root root    1000 May  8 22:17 libcurl-gnutls.la
lrwxrwxrwx  1 root root      23 May  8 22:17 libcurl-gnutls.so -> libcurl-gnutls.so.4.5.0
lrwxrwxrwx  1 root root      19 May  8 22:17 libcurl-gnutls.so.3 -> libcurl-gnutls.so.4
lrwxrwxrwx  1 root root      23 May  8 22:17 libcurl-gnutls.so.4 -> libcurl-gnutls.so.4.5.0
-rw-r--r--  1 root root  510408 May  8 22:17 libcurl-gnutls.so.4.5.0
lrwxrwxrwx  1 root root      17 May  8 22:17 libcurl.la -> libcurl-gnutls.la
lrwxrwxrwx  1 root root      17 May  8 22:17 libcurl.so -> libcurl-gnutls.so
lrwxrwxrwx  1 root root      12 May 18 09:23 libcurl.so.3 -> libcurl.so.4
lrwxrwxrwx  1 root root      16 May  8 22:17 libcurl.so.4 -> libcurl.so.4.5.0
-rw-r--r--  1 root root  518600 May  8 22:17 libcurl.so.4.5.0


hydrurga 06-02-2018 05:35 PM

dpkg will check the package database, not the library links, to determine if a particular package is installed.

You're not the only one to have come across the issue. It looks as if it is currently unresolved but there is a potential workaround half-way down the following bug report:

https://github.com/adobe/brackets/issues/14171

hydrurga 06-06-2018 04:43 PM

Just a note that I have now installed Brackets in Mint 19 beta, based on Ubuntu 18.04, and the fix suggested by jsanta in the thread I linked to above works fine. I'll reproduce those steps here (carry out the commands from the directory where the Brackets deb is located; substitute xed with your favourite text editor).

Code:

apt install libpango1.0-0

dpkg-deb -R ./Brackets.Release.1.12.64-bit.deb Brackets

xed Brackets/DEBIAN/control (and replace libcurl3 with libcurl4)

dpkg-deb -b Brackets Brackets-fixed.deb

sudo dpkg -i Brackets-fixed.deb



All times are GMT -5. The time now is 05:48 AM.